Pontos = {

	add : function(){
		
		if(
			$('#cli_cpf').val() != '' ||
			$('#nf').val()		!= '' || 
			$('#valor').val()	!= ''
		){

			$.ajax({
				type:   'POST',
				url:    'pontos/add',
				data:   {
					cli_cpf:	$('#cli_cpf').val(),
					nf:			$('#nf').val(),
					valor:		$('#valor').val()
				},
				success: function(d){

					if (d) {
						alert('Pontos cadastrados com sucesso!');
						location.href='pontos';
					}

				}
			});
        
		}

    },

	check_cliente : function(){
		
		//alert($('#cli_cpf').val().length);
		
		if($('#cli_cpf').val().length == 11){

			$.ajax({
				type:   'POST',
				url:    'pontos/check_cliente',
				data:   {
					cpf:	$('#cli_cpf').val()
				},
				success: function(d){

					if (d == 'null') {
						alert('Cliente não encontrado.');

						$('#cli_cpf').val('');
						$('#cli_cpf').focus();
					}

				}
			});
        
		}

	},

	check_nf : function(){
		
		if($('#nf').val() != ''){

			$.ajax({
				type:   'POST',
				url:    'pontos/check_nf',
				data:   {
					nf:	$('#nf').val()
				},
				success: function(d){

					if (d !== 'null') {
						alert('NF já cadastrada!');
						$('#nf').val('');
						$('#nf').focus();
					}

				}
			});
        
		}

	},

}
